cryptol-2.8.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Cryptol.Parser.Unlit

Description

Convert a literate source file into an ordinary source file.

# Documentation

unLit :: PreProc -> Text -> Text Source #

data PreProc Source #

Constructors

None |
Markdown |
LaTeX |

guessPreProc :: FilePath -> PreProc Source #

knownExts :: [String] Source #